uniform sampler2D u_texture;

uniform lowp vec4 u_color;

varying highp vec2 v_texcoord;

void main()
{
    gl_FragColor = clamp( u_color * texture2D( u_texture, v_texcoord ), vec4( 0.0, 0.0, 0.0, 0.0 ), vec4( 1.0, 1.0, 1.0, 1.0 ) );
}
