uniform sampler2D u_texture;
uniform sampler2D u_texture1;

varying highp vec2 v_texcoord;
varying highp vec2 v_lightCookieUV;

void main()
{
    gl_FragColor =  vec4( clamp( 1.9 * texture2D( u_texture, v_texcoord ).rgb * texture2D( u_texture1, v_lightCookieUV ).rgb, vec3( 0.0, 0.0, 0.0 ), vec3( 1.0, 1.0, 1.0 ) ), 1.0 );
}
