uniform sampler2D u_texture;
uniform sampler2D u_texture1;

uniform lowp float u_alphaRef;
uniform lowp vec4 u_color;

varying highp vec2 v_texcoord;
varying highp vec2 v_lightCookieUV;

void main()
{
	lowp vec4 color = texture2D( u_texture, v_texcoord );

	if (color.a < u_alphaRef)
	{
		discard;
	}
	
    gl_FragColor = vec4( clamp( color.rgb * u_color.rgb * texture2D( u_texture1, v_lightCookieUV ).rgb, vec3( 0.0, 0.0, 0.0 ), vec3( 1.0, 1.0, 1.0 ) ), 1.0 );
}
